com.aventstack.extentreports.reporter.configuration

## Class ExtentHtmlReporterConfiguration

- java.lang.Object
- - com.aventstack.extentreports.reporter.configuration.BasicConfiguration
  - - com.aventstack.extentreports.reporter.configuration.BasicFileConfiguration
    - - com.aventstack.extentreports.reporter.configuration.ExtentHtmlReporterConfiguration

- All Implemented Interfaces:
    IReporterConfiguration

      public class ExtentHtmlReporterConfiguration
      extends BasicFileConfiguration
      implements IReporterConfiguration

  Defines configuration settings for the HTML reporter

- - ### Field Summary

    - ### Fields inherited from class com.aventstack.extentreports.reporter.configuration.BasicConfiguration

      `levels, reportName, timeStampFormat, usedConfigs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtentHtmlReporterConfiguration(ExtentHtmlReporter reporter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enableTimeline(boolean v)` Enable or disable the Timeline section in the Dashboard view
    `Protocol` | `getProtocol()`
    `Theme` | `getTheme()`
    `void` | `setAutoCreateRelativePathMedia(boolean v)` Setting to automatically store screen shots relative to the path.
    `void` | `setProtocol(Protocol protocol)` Sets the protocol of accessing CSS/JS resources from CDN
    `void` | `setTheme(Theme theme)` Sets the `Theme` of the report

    - ### Methods inherited from class com.aventstack.extentreports.reporter.configuration.BasicFileConfiguration

      `getCSS, getDocumentTitle, getEncoding, getJS, setCSS, setDocumentTitle, setEncoding, setJS`

    - ### Methods inherited from class com.aventstack.extentreports.reporter.configuration.BasicConfiguration

      `getConfigMap, getLevel, getReporter, getReportName, getTimeStampFormat, setLevel, setReportName, setTimeStampFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtentHtmlReporterConfiguration

          public ExtentHtmlReporterConfiguration(ExtentHtmlReporter reporter)

  - ### Method Detail

    - #### setProtocol

          public void setProtocol(Protocol protocol)

      Sets the protocol of accessing CSS/JS resources from CDN

      Default protocol value: HTTPS

      Parameters:
        `protocol` - Protocol, HTTPS or HTTP

    - #### getProtocol

          public Protocol getProtocol()

    - #### setTheme

          public void setTheme(Theme theme)

      Sets the `Theme` of the report
      Parameters:
        `theme` - `Theme`

    - #### getTheme

          public Theme getTheme()

    - #### enableTimeline

          public void enableTimeline(boolean v)

      Enable or disable the Timeline section in the Dashboard view
      Parameters:
        `v` - Setting to enable or disable the Timeline section in the Dashboard view

    - #### setAutoCreateRelativePathMedia

          public void setAutoCreateRelativePathMedia(boolean v)

      Setting to automatically store screen shots relative to the path. This method also sets the new relative path as a link from the report. Example:

           /
             Report.html
             Report.0
               - 1.png
               - 2.png
             Report.1
               - 1.png
               - 2.png

      Report.0 directory will contain media from the 1st run. Report.1 directory will contain media from the 2nd run.

      Parameters:
        `v` - Setting to enable this feature

Copyright © 2018. All rights reserved.